<html
  :class="{ 'theme-dark': dark }"
  x-data="data()"
  lang="en"
>
  {% load static %}

  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>My Tasks</title>
    <link rel="shortcut icon" href="{% static 'img/tasks.png' %}">
    <link
      href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700;800&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="{% static 'css/tailwind.output.css' %}" />
    <!-- <script
      src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.x.x/dist/alpine.min.js"
      defer
    ></script> -->
    <script src="{% static 'js/init-alpine.js' %}"></script>
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.3/Chart.min.css"
    />
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.3/Chart.min.js"
      defer
    ></script>
    <script src="{% static 'js/charts-lines.js' %}" defer></script>
    <script src="{% static 'js/charts-pie.js' %}" defer></script>

    <!-- AlpineJS -->
    <script src="//unpkg.com/alpinejs" defer></script>

    <!-- Axios -->
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
  </head>

  <body>
    <div
      class="flex h-screen bg-gray-50 dark:bg-gray-900"
      :class="{ 'overflow-hidden': isSideMenuOpen }"
    >
    <!-- Desktop sidebar -->
      {% include "includes/sidebar.html" %}

    <!-- Mobile sidebar -->
      {% include "includes/sidebar_mobile.html" %}

      <div class="flex flex-col flex-1 w-full">
        {% include "includes/navbar.html" %}

        <main class="h-full overflow-y-auto">
          {% block content %}{% endblock content %}
        </main>
      </div>
    </div>

    {% block js %}{% endblock js %}
  </body>

</html>